commit:     d230eab22d2f6702efe6237efdb284a14f2f0ab9
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  2 13:51:14 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  2 14:03:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d230eab2

dev-python/pyglet: add 2.0.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pyglet/Manifest            |  1 +
 dev-python/pyglet/pyglet-2.0.1.ebuild | 81 +++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index d99516946ea9..c11400729b7e 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1,3 +1,4 @@
 DIST pyglet-1.5.26.tar.gz 6534434 BLAKE2B 
a4366390f4ed92ed9e6c2d362fd8a009adf0e8a21ca00e1b9fead3cba99d192bb007413eca36892433f3bc4e2bf3258c550b2827262fc70e87b20566d46acb15
 SHA512 
819b2bbf71c9c632c1cefbb31e2a7186905c1475a1e978cd75dd6c019e5a53e6af79bceb57c68b61a3bb5692e04091c89c67b9168bb76ee19009c1ab719b8530
 DIST pyglet-1.5.27.gh.tar.gz 6532179 BLAKE2B 
f1dc668530a69e275860befe11f4c86003c5de2dadede706df7abac9eb6fb1729ea030c7053f0149926f3ffdd12985d9abea4afac65de3b6b7541fe871eda369
 SHA512 
98896dab06873cbf3cdd0d4015cb0b9e062cffb1110908bd422ecdc4f0e16943adc8a4986e7dbfdae4392e82ac115bad6f937896e166989ad2c4d73a0f45c8be
 DIST pyglet-2.0.0.gh.tar.gz 6201132 BLAKE2B 
e72436804688e9022f0efc7da7fac5eb31ed2d35632612149b52431167db98f1d2e8bc3824ef6bd69851a8bf609d5098ea5f5c77aa7bcf5a527457c62ed47586
 SHA512 
2dde724f0b5f284d0094109a7077464ac4ec76ea905c91ddc096032ac849ee9720ee36926e9f11969169906c7e45580789001dfc657edc2e737ad116c48c588a
+DIST pyglet-2.0.1.gh.tar.gz 6202313 BLAKE2B 
be77d8b1736a41ff97c91db2019716eb85be87c91847f1588ffa8c502224b127aa04b038a207890a7abd099f9a956cfa8836d25e50a913f3a8439edfc078942e
 SHA512 
a8670a8845b1743347b1b8cac19ee62056b2ea819ba2e14e567bc2d42f4ff7d1dc2c10e782b1bd670aef69e78971dca8d740787065ef1c2923cb62a3570e7bec

diff --git a/dev-python/pyglet/pyglet-2.0.1.ebuild 
b/dev-python/pyglet/pyglet-2.0.1.ebuild
new file mode 100644
index 000000000000..04ea35c2986c
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.0.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+       https://pyglet.org/
+       https://github.com/pyglet/pyglet/
+       https://pypi.org/project/pyglet/
+"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+BDEPEND="
+       test? (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               media-libs/fontconfig
+       )
+"
+RDEPEND="
+       virtual/glu
+       virtual/opengl
+       image? ( || (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               x11-libs/gtk+:2
+       ) )
+       sound? ( || (
+               media-libs/openal
+               media-sound/pulseaudio
+       ) )
+"
+#      ffmpeg? ( media-libs/avbin-bin )
+
+distutils_enable_tests pytest
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       xdg_environment_reset
+
+       local EPYTEST_DESELECT=(
+               # lacking device/server permissions
+               tests/unit/media/test_listener.py::test_openal_listener
+               tests/unit/media/test_listener.py::test_pulse_listener
+               # fragile to load
+               tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+       )
+       if [[ ${EPYTHON} == python3.11 ]]; then
+               EPYTEST_DESELECT+=(
+                       # broken test
+                       # https://github.com/pyglet/pyglet/issues/606
+                       tests/unit/test_events.py::test_push_handlers_instance
+               )
+       fi
+
+       # Specify path to avoid running interactive tests
+       # We could add in integration tests, but they're slow
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to